<?php
if (!$user->auth() || ($user->auth() && $acl->isForumTopicCreate == 0)){
	twig("/forum.lm", ["block"	=>	"no_access"]);
}
$cat = $db->getObject("SELECT * FROM `forum_cat` WHERE `sid` = '".$site->id."' AND `cid` = '".$id."'");
if ($cat == NULL){
	$t = "Форум - Ошибка";
	twig("/forum.lm", ["block"	=>	"no_found_category"]);
}
$t = "Создание темы на форуме";
if (isset($_POST["create"])){
	if (!isset($_POST["name"]) || empty($_POST["name"])){
		$core->regError("","Введите название темы", 1, "Forum");
	} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
		$core->regError("","Введите сообщение темы", 2, "Forum");
	} elseif (strlen(trim($_POST['name'])) < 4) {
		$core->regError("","Слишком короткое название темы (от 4-128 символов)", 3, "Forum");
	} elseif (strlen(trim($_POST['name'])) > 128) {
		$core->regError("","Слишком длинное название темы (от 4-128 символов)", 3, "Forum");
	} elseif (strlen(trim($_POST['sms'])) < 4) {
		$core->regError("","Слишком короткое сообщение темы (от 4 символов)", 4, "Forum");
	} else {	
		if ($user->checkSpam()){
			$core->regError("","Вы выполняете действие слишком часто.<br>Повторите попытку через 15 секунд.",1,"AntiSpam");
		} else {
			$user->spamUpdate();
			$db->Query("INSERT INTO `forum_topics`(`cid`, `sid`, `uid`, `name`, `timeadd`, `lastUpdate`) VALUES ('".$id."','".$site->id."','".$user->uid."','".$core->FilterString($_POST["name"])."','".$time."','".$time."');");
			$_id = $db->getLastID();
			$db->Query("INSERT INTO `forum_message`(`sid`, `tid`, `cid`, `uid`, `sms`, `timeadd`) VALUES ('".$site->id."','".$_id."','".$id."','".$user->uid."','".$core->FilterString($_POST["sms"])."','".$time."');");
			$_sms = $db->getLastID();
			$db->Query("UPDATE `forum_topics` SET `sms`='".$_sms."' WHERE `tid` = '".$_id."'");
			header("Location: /forum.lm?act=read&id=".$_id);
			die();
		}
	}
}
twig("/forum.lm", ["block"	=>	"create_topic"]);
?>